Package org.apache.tools.ant.taskdefs.optional.ejb

# Class IPlanetEjbc.EjbcException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.tools.ant.taskdefs.optional.ejb.IPlanetEjbc.EjbcException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `IPlanetEjbc`

public class IPlanetEjbc.EjbcException extends Exception
This inner class is used to signal any problems during the execution of the ejbc compiler.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EjbcException(String msg)`
  Constructs an exception with the given descriptive message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EjbcException

    public EjbcException(String msg)
    Constructs an exception with the given descriptive message.
    Parameters:
      `msg` - Description of the exception which has occurred.